%global commit 6ded5b453b50642197044a170402664cbf6d2c96
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapinfo 20180106git%{shortcommit}

Name:           xcape
Version:        1.2
Release:        3.%{snapinfo}%{?dist}
Summary:        Use a modifier key as another key when pressed and released on its own

License:        GPLv3+
URL:            https://github.com/alols/%{name}
Source0:        https://github.com/alols/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  gcc
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xproto)
BuildRequires:  pkgconfig(xtst)

%description
%{name} allows you to use a modifier key as another key when pressed and
released on its own. Note that it is slightly slower than pressing the
original key, because the pressed event does not occur until the key is
released. The default behaviour is to generate the Escape key when Left
Control is pressed and released on its own. (If you don't understand why
anybody would want this, I'm guessing that Vim is not your favourite text
editor ;)


%prep
%autosetup -n %{name}-%{commit}


%build
%make_build CFLAGS="%{optflags}"


%install
%make_install MANDIR=/share/man/man1


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-3.20180106git6ded5b4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2-2.20180106git6ded5b4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 06 2018 Filip Szymański <fszymanski@fedoraproject.org> - 1.2-1.20180106git6ded5b4
- Initial release
